<?php
namespace Plugin\css_gutschein;

use JTL\Alert\Alert;
use JTL\Catalog\Category\Kategorie;
use JTL\Catalog\Product\Artikel;
use JTL\Events\Dispatcher;
use JTL\Events\Event;
use JTL\Helpers\Form;
use JTL\Helpers\Request;
use JTL\Link\LinkInterface;
use JTL\Plugin\Bootstrapper;
use JTL\Shop;
use JTL\Smarty\JTLSmarty;
use Plugin\css_gutschein\src\cssPlugin;


$oCssPlugin = src\cssPlugin\cssPlugin::getInstance($plugin);
if($oCssPlugin->getConfig()->pluginActive=='N') return;


switch($oPlugin->nCalledHook) {
    case HOOK_SETZTE_POSITIONSPREISE:
	    $oCssPlugin->hookSetztePositionspreise($args);
    	break;
    case HOOK_GLOBALINCLUDE_INC:
        $oCssPlugin->hookGlobalincludeInc();
        break;
	case HOOK_CSS_JS_LIST:
		$oCssPlugin->hookCssJsList($args);
		break;
}




